Name:		aduna-root-poms
Version:	13
Release:	1%{?dist}
Summary:	Root POMs for Aduna projects

Group:		Development/Libraries
License:	BSD
URL:		http://www.aduna-software.org/
Source0:	http://repo.aduna-software.org/maven2/releases/info/aduna/aduna-root-pom/%{version}/aduna-root-pom-%{version}.pom
Source1:	http://repo.aduna-software.org/svn/pom.xml
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	jpackage-utils >= 0:1.7.5
Requires:	jpackage-utils >= 0:1.7.5
Requires(post):	jpackage-utils >= 0:1.7.5
Requires(postun):	jpackage-utils >= 0:1.7.5

# Require everything that's in the POMs
Requires:	slf4j
Requires:	logback
Requires:	junit

BuildArch:	noarch

%description
%{summary}.

%prep
%setup -c -T
cp %SOURCE0 .
cp %SOURCE1 .

%build
# Nothing to do ...

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 aduna-root-pom-%{version}.pom $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-aduna-root-pom.pom
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP-aduna-opensource-root-pom.pom

%add_to_maven_depmap info.aduna aduna-root-pom %{version} JPP aduna-root-pom
%add_to_maven_depmap org.aduna-software aduna-opensource-root-pom 3 JPP aduna-opensource-root-pom

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_mavendepmapfragdir}/*
%{_datadir}/maven2/poms/*.pom

%changelog
* Mon Feb  1 2010 Mary Ellen Foster <mefoster at gmail.com> 13-1
- Update to version 13 of the root POM which includes the license
- Update to version 4 of the parent POM (license added)

* Mon Nov 30 2009 Mary Ellen Foster <mefoster at gmail.com> 11-2
- Add all of the libraries referenced in the POMs to the package requirements
- Fix versioning and use version macro for source filename

* Fri Nov 20 2009 Mary Ellen Foster <mefoster at gmail.com> 11-1
- Initial package
